package com.house365.xxx.house.word.search.sell;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Component;

import com.house365.xxx.house.word.search.DicType;

@Component
public class TrafficLoader extends SellLoader {

	@Override
	protected DicType getDicType() {
		return DicType.TRAFFIC;
	}

	@Override
	protected String getLoadSql() {
		return "select bid,station from traffic where type=2";
	}

	@Override
	protected Log getLogger() {
		return LogFactory.getLog(TrafficLoader.class);
	}

}
